"""PytSite JS API.
"""
# Public API
from ._api import register, include

__author__ = 'Alexander Shepetko'
__email__ = 'a@shepetko.com'
__license__ = 'MIT'


def __init():
    """Init wrapper.
    """
    from pytsite import assetman

    # jQuery is necessary for most PytSite components
    include('jquery', permanent=True)

    # Assets
    assetman.register_package(__name__)
    assetman.add(__name__ + '@pytsite/js/common.js', permanent=True)
    assetman.add(__name__ + '@pytsite/js/lang.js', permanent=True)

    # This file is automatically generated by assetman's build command
    assetman.add('app@js/translations.js', permanent=True)

__init()
